Bug 1130758 - [abrt] virt-manager: _pygi_closure_handle(): python2.7 killed by SIGSEGV
Summary: [abrt] virt-manager: _pygi_closure_handle(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pygobject3
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:764dc022d407b06feaacb3da54c...
: 1131233 (view as bug list)
Depends On:
Blocks: F21BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2014-08-17 12:29 UTC by Sylvain Réault
Modified: 2014-12-19 12:26 UTC (History)
13 users (show)

Fixed In Version: pygobject3-3.13.90-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-21 09:57:04 UTC


Attachments (Terms of Use)
File: backtrace (64.62 KB, text/plain)
2014-08-17 12:29 UTC, Sylvain Réault
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-17 12:29 UTC, Sylvain Réault
no flags Details
File: core_backtrace (24.44 KB, text/plain)
2014-08-17 12:29 UTC, Sylvain Réault
no flags Details
File: dso_list (18.58 KB, text/plain)
2014-08-17 12:29 UTC, Sylvain Réault
no flags Details
File: environ (1.64 KB, text/plain)
2014-08-17 12:29 UTC, Sylvain Réault
no flags Details
File: exploitable (110 bytes, text/plain)
2014-08-17 12:29 UTC, Sylvain Réault
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-17 12:29 UTC, Sylvain Réault
no flags Details
File: maps (84.52 KB, text/plain)
2014-08-17 12:29 UTC, Sylvain Réault
no flags Details
File: open_fds (1.40 KB, text/plain)
2014-08-17 12:29 UTC, Sylvain Réault
no flags Details
File: proc_pid_status (1.05 KB, text/plain)
2014-08-17 12:29 UTC, Sylvain Réault
no flags Details
File: var_log_messages (198 bytes, text/plain)
2014-08-17 12:29 UTC, Sylvain Réault
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 735090 None None None Never

Description Sylvain Réault 2014-08-17 12:29:19 UTC
Version-Release number of selected component:
virt-manager-1.0.1-3.fc21.1

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/python2 -tt /usr/share/virt-manager/virt-manager
crash_function: _pygi_closure_handle
executable:     /usr/bin/python2.7
kernel:         3.17.0-0.rc0.git6.1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _pygi_closure_handle at /usr/lib64/python2.7/site-packages/gi/_gi.so
 #1 ffi_closure_unix64_inner at /lib64/libffi.so.6
 #2 ffi_closure_unix64 at /lib64/libffi.so.6
 #3 gtk_cell_renderer_real_get_preferred_size at /lib64/libgtk-3.so.0
 #4 gtk_cell_renderer_get_preferred_width at /lib64/libgtk-3.so.0
 #5 gtk_cell_area_request_renderer at /lib64/libgtk-3.so.0
 #6 compute_size at /lib64/libgtk-3.so.0
 #7 gtk_cell_area_box_get_preferred_width at /lib64/libgtk-3.so.0
 #8 gtk_tree_view_column_cell_get_size at /lib64/libgtk-3.so.0
 #9 validate_row at /lib64/libgtk-3.so.0

Comment 1 Sylvain Réault 2014-08-17 12:29:23 UTC
Created attachment 927456 [details]
File: backtrace

Comment 2 Sylvain Réault 2014-08-17 12:29:25 UTC
Created attachment 927457 [details]
File: cgroup

Comment 3 Sylvain Réault 2014-08-17 12:29:26 UTC
Created attachment 927458 [details]
File: core_backtrace

Comment 4 Sylvain Réault 2014-08-17 12:29:28 UTC
Created attachment 927459 [details]
File: dso_list

Comment 5 Sylvain Réault 2014-08-17 12:29:29 UTC
Created attachment 927460 [details]
File: environ

Comment 6 Sylvain Réault 2014-08-17 12:29:30 UTC
Created attachment 927461 [details]
File: exploitable

Comment 7 Sylvain Réault 2014-08-17 12:29:32 UTC
Created attachment 927462 [details]
File: limits

Comment 8 Sylvain Réault 2014-08-17 12:29:35 UTC
Created attachment 927463 [details]
File: maps

Comment 9 Sylvain Réault 2014-08-17 12:29:36 UTC
Created attachment 927464 [details]
File: open_fds

Comment 10 Sylvain Réault 2014-08-17 12:29:37 UTC
Created attachment 927465 [details]
File: proc_pid_status

Comment 11 Sylvain Réault 2014-08-17 12:29:38 UTC
Created attachment 927466 [details]
File: var_log_messages

Comment 12 Robbie Harwood 2014-08-18 16:34:06 UTC
Another user experienced a similar problem:

Opened virt-manager (sudo virt-manager) which attempted to connect to a remote machine and my local qemu.  Crash occurred sometime after I entered credentials for the remote machine.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/python2 -tt /usr/share/virt-manager/virt-manager
crash_function: _pygi_closure_handle
executable:     /usr/bin/python2.7
kernel:         3.17.0-0.rc0.git7.1.fc22.x86_64
package:        virt-manager-1.0.1-3.fc21.1
reason:         python2.7 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            0

Comment 13 Cole Robinson 2014-08-19 14:36:04 UTC
*** Bug 1131233 has been marked as a duplicate of this bug. ***

Comment 14 Cole Robinson 2014-08-19 14:38:09 UTC
Stack trace ends in pygobject3, and the reports all coincide with f21 update to pygobject3-3.13.4-1.fc21, which is listed in the faf reports.

But f21 has a new pygobject3 version now, so I'll just close as CURRENTRELEASE and reopen if we get any more hits

Comment 15 Lukas Slebodnik 2014-08-19 15:36:40 UTC
virt-manager crashed even with new pygobject3

sh-4.3# rpm -qa virt-manager* pygobject3* 
virt-manager-1.0.1-3.fc21.1.noarch
pygobject3-3.13.90-1.fc21.x86_64
pygobject3-base-3.13.90-1.fc21.x86_64
virt-manager-common-1.0.1-3.fc21.1.noarch

Do you need any data from me?

Comment 16 Lukas Slebodnik 2014-08-19 15:44:50 UTC
Here are to 30 frames from back trace:

#0  0x00007fa6ea8b8fc7 in _pygi_closure_handle () at /usr/lib64/python2.7/site-packages/gi/_gi.so
#1  0x0000003d3d805b4f in ffi_closure_unix64_inner (closure=0x7fa6e9acb010, rvalue=0x7fff0398ea50, reg_args=0x7fff0398e9a0, argp=0x7fff0398ea78 "@bR\365\064") at ../src/x86/ffi64.c:670
#2  0x0000003d3d805ec8 in ffi_closure_unix64 () at ../src/x86/unix64.S:229
#3  0x00000034f552625e in gtk_cell_renderer_real_get_preferred_size () at /lib64/libgtk-3.so.0
#4  0x00000034f5527875 in gtk_cell_renderer_get_preferred_width () at /lib64/libgtk-3.so.0
#5  0x00000034f551f011 in gtk_cell_area_request_renderer () at /lib64/libgtk-3.so.0
#6  0x00000034f551f8f0 in compute_size () at /lib64/libgtk-3.so.0
#7  0x00000034f5520b28 in gtk_cell_area_box_get_preferred_width () at /lib64/libgtk-3.so.0
#8  0x00000034f574c97a in gtk_tree_view_column_cell_get_size () at /lib64/libgtk-3.so.0
#9  0x00000034f572ce3e in validate_row () at /lib64/libgtk-3.so.0
#10 0x00000034f5734267 in do_presize_handler () at /lib64/libgtk-3.so.0
#11 0x00000034f57349bc in presize_handler_callback () at /lib64/libgtk-3.so.0
#12 0x00000034f5762694 in gtk_widget_on_frame_clock_update () at /lib64/libgtk-3.so.0
#13 0x00000030a6210104 in _g_closure_invoke_va () at /lib64/libgobject-2.0.so.0
#14 0x00000030a622aaa0 in g_signal_emit_valist () at /lib64/libgobject-2.0.so.0
#15 0x00000030a622b83a in g_signal_emit_by_name () at /lib64/libgobject-2.0.so.0
#16 0x00000034f502e8db in gdk_frame_clock_paint_idle () at /lib64/libgdk-3.so.0
#17 0x00000034f5020a18 in gdk_threads_dispatch () at /lib64/libgdk-3.so.0
#18 0x00000030a5a4a5d3 in g_timeout_dispatch () at /lib64/libglib-2.0.so.0
#19 0x00000030a5a49b6b in g_main_context_dispatch () at /lib64/libglib-2.0.so.0
#20 0x00000030a5a49f08 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#21 0x00000030a5a49fbc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#22 0x00000030a66aaffc in g_application_run () at /lib64/libgio-2.0.so.0
#23 0x0000003d3d805d60 in ffi_call_unix64 () at ../src/x86/unix64.S:76
#24 0x0000003d3d8057d1 in ffi_call (cif=<optimized out>, fn=<optimized out>, rvalue=0x7fff0398f5f0, avalue=0x122cee0) at ../src/x86/ffi64.c:525
#25 0x00007fa6ea8bb464 in pygi_invoke_c_callable () at /usr/lib64/python2.7/site-packages/gi/_gi.so
#26 0x00007fa6ea8bcd98 in pygi_function_cache_invoke () at /usr/lib64/python2.7/site-packages/gi/_gi.so
#27 0x00007fa6ea8b14be in _callable_info_call () at /usr/lib64/python2.7/site-packages/gi/_gi.so
#28 0x0000003d3dc4a8d3 in PyObject_Call (func=<gi.FunctionInfo at remote 0x7fa6e5a7be30>, arg=<optimized out>, kw=<optimized out>) at /usr/src/debug/Python-2.7.8/Objects/abstract.c:2529
#29 0x0000003d3dce0615 in PyEval_EvalFrameEx (nk=<optimized out>, na=<optimized out>, pp_stack=<optimized out>, func=<optimized out>) at /usr/src/debug/Python-2.7.8/Python/ceval.c:4328
#30 0x0000003d3dce0615 in PyEval_EvalFrameEx (oparg=<optimized out>, pp_stack=<optimized out>) at /usr/src/debug/Python-2.7.8/Python/ceval.c:4133

Comment 17 Robbie Harwood 2014-08-19 15:47:07 UTC
New pygobject3 crashes for me as well.  No substantial changes in backtrace.

Comment 18 Lukas Slebodnik 2014-08-19 15:48:46 UTC
I found a temporary solution. I downgraded packages to the version 3.12.1-1

bash$ rpm -qa pygobject3*
pygobject3-base-3.12.1-1.fc21.x86_64
pygobject3-3.12.1-1.fc21.x86_64

Comment 19 Cole Robinson 2014-08-19 15:58:53 UTC
Unfortunately no one really watches the pygobject redhat bug tracker, but the upstream guys are quite responsive. I encourage someone who can reproduce to file a bug in bugzilla.gnome.org (i haven't updated to f21 yet...)

Comment 20 Peter Robinson 2014-08-20 10:05:21 UTC
I'm seeing this too

Comment 21 Peter Robinson 2014-08-20 10:28:08 UTC
Reported upstream as apparently we don't have an active maintainer in Fedora in the hope we get some form of response that's useful.

I also think this needs to be an alpha blocker as it impacts testing F-21 on F-21

Comment 22 Adam Williamson 2014-08-20 14:54:14 UTC
virt stuff blocks Beta, not Alpha. Proposing as a Beta blocker per criterion "The release must be able host virtual guest instances of the same release." - not a slam dunk as it works without the UI, but we can discuss it. https://fedoraproject.org/wiki/Fedora_21_Beta_Release_Criteria#Self_hosting_virtualization

Comment 23 Adam Williamson 2014-08-20 15:14:57 UTC
also note that Boxes works, so long as you use permissive SELinux due to the rados2 execstack bug ( https://bugzilla.redhat.com/show_bug.cgi?id=1118504 ).

Comment 24 Kalev Lember 2014-08-21 09:57:04 UTC
This just got fixed upstream in https://bugzilla.gnome.org/show_bug.cgi?id=735090 and I've backported the fix to the F21 / rawhide packages.

Comment 25 Stephen Gallagher 2014-08-21 15:52:07 UTC
I just pulled the pygobject3-3.13.90-2.fc21 packages and can verify that the patch does fix the issue. Thanks, Kalev!

Comment 26 Sylvain Réault 2014-08-21 16:13:58 UTC
Ok for me :), thanks :)


Note You need to log in before you can comment on or make changes to this bug.